Bug 221769 - Review Request: libcgi - CGI easy as C
Review Request: libcgi - CGI easy as C
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 15:54 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-30 22:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2007-01-07 15:54:06 EST
Spec URL: 
ftp://perl.di.uminho.pt/pub/fedora/libcgi.spec

SRPM URL: 
ftp://perl.di.uminho.pt/pub/fedora/libcgi-1.0-1.src.rpm

Description:
LibCGI is a library written from scratch to easily make CGI applications in C.
Comment 1 Parag AN(पराग) 2007-01-10 05:15:33 EST
Remove .a files from installation from -devel package.
Comment 2 Jose Pedro Oliveira 2007-01-10 16:05:11 EST
I would like to ship the static library as I need to test to cgi apps for
embedded systems using this library. 
Would it be ok if I create a -static subpackage that would require the devel
subpackage?
Comment 3 Ralf Corsepius 2007-01-10 21:22:06 EST
(In reply to comment #2)
> I would like to ship the static library as I need to test to cgi apps for
> embedded systems using this library. 
Are you running Fedora on this embedded system?
Comment 4 Parag AN(पराग) 2007-01-10 23:19:36 EST
I think according to http://fedoraproject.org/wiki/PackagingDrafts/StaticLinkage
(Though its not a Final Draft), this document you need to get FESCO Approval to
include .a files.
Comment 5 Parag AN(पराग) 2007-02-22 00:07:01 EST
any updates on above issue?
Comment 6 Jose Pedro Oliveira 2007-02-22 05:57:15 EST
Sorry! I forgot to update this ticket.

New specfile that creates a -static subpackage:
ftp://perl.di.uminho.pt/pub/fedora/libcgi.spec
ftp://perl.di.uminho.pt/pub/fedora/libcgi-1.0-2.src.rpm

jpo
Comment 7 Jose Pedro Oliveira 2007-04-07 16:01:32 EDT
Any change of getting this package approved if I don't build the static
sub-package by default?
Comment 8 Parag AN(पराग) 2007-04-09 00:05:15 EDT
Sorry but would like to go by way written in comment4. Moreover you can ask
approval for same to include -static in Fedora on Fedora-maintainers list.
Comment 9 Jose Pedro Oliveira 2007-04-14 13:18:20 EDT
ftp://perl.di.uminho.pt/pub/fedora/libcgi.spec
ftp://perl.di.uminho.pt/pub/fedora/libcgi-1.0-3.src.rpm

Changelog:
No longer builds the static subpackage by default.
Comment 10 Ralf Corsepius 2007-04-15 01:46:53 EDT
To me, these files are named too general and are likely to conflict with future
packages:
/usr/include/cgi.h
/usr/include/session.h

Please move them into a subdirectory of %{_includedir}
Comment 11 Parag AN(पराग) 2007-04-15 14:18:44 EDT
sorry for leaving this review as I got busy with some other work now and this
review may take more time.
Comment 12 Ruben Kerkhof 2007-06-10 09:44:58 EDT
* RPM name is OK
* Source libcgi-1.0.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of libcgi-devel looks OK
* rpmlint of libcgi looks OK
* File list of libcgi looks OK

Please consider comment #10
Comment 13 Jose Pedro Oliveira 2007-06-25 23:38:51 EDT
ftp://perl.di.uminho.pt/pub/fedora/libcgi.spec
ftp://perl.di.uminho.pt/pub/fedora/libcgi-1.0-4.src.rpm

Changelog:
- The header files are now installed in %{_includedir}/%{name}
  (as recommend in comment #10).
Comment 14 Ruben Kerkhof 2007-06-26 02:10:26 EDT
approved.
Comment 15 Jose Pedro Oliveira 2007-06-26 08:56:52 EDT
New Package CVS Request
=======================
Package Name: libcgi
Short Description: CGI easy as C
Owners: jpo@di.uminho.pt
Branches: FC-6 F-7
InitialCC: 
Comment 16 Kevin Fenzi 2007-06-26 13:17:29 EDT
cvs done.
Comment 17 Ruben Kerkhof 2007-06-26 13:50:43 EDT
Hi Jose, are you willing to maintain this for EPEL as well?

I have libcgi running on a lot of servers at work, and could use a decent rpm ;-)
Comment 18 Jose Pedro Oliveira 2007-06-28 10:03:51 EDT
Package built for FC-6, F-7, and devel.
Already available in the F-7 and devel repos.
Comment 19 Jose Pedro Oliveira 2007-06-28 10:11:05 EDT
(In reply to comment #17)
> Hi Jose, are you willing to maintain this for EPEL as well?
> 
> I have libcgi running on a lot of servers at work, and could use a decent rpm ;-)

Ruben,

Don't you want to be a libcgi co-maintainer?

Right now I don't have any RHEL5/Centos5 system available.

jpo
Comment 20 Ruben Kerkhof 2007-06-28 13:36:40 EDT
Hi Jose,

I'd really like that. I only have RHEL4 (and 3, and 2 etc), no RHEL5 yet, but we'll figure that out.
Comment 21 Jose Pedro Oliveira 2007-06-28 16:37:34 EDT
Package Change Request
======================
Package Name: libcgi
Updated Fedora Owners: jpo@di.uminho.pt, ruben@rubenkerkhof.com
New Branches: EL-4 EL-5
Comment 22 Jason Tibbitts 2007-06-30 21:15:07 EDT
CVS done.
Comment 23 Jose Pedro Oliveira 2007-06-30 22:11:00 EDT
Also built for EL-4 and EL-5.

Note You need to log in before you can comment on or make changes to this bug.